Subject: [dhcwg] Call for Adoption - draft-nalluri-dhc-dhcpv6-lwm2m-bootstrap-options - Respond by Aug 10, 2017

From: "Bernie Volz (volz)" <[email-masked]>
Date: Thu, 27 Jul 2017 17:43:28 +0000

Hi:

This starts a WG Call for Adoption for the draft-nalluri-dhc-dhcpv6-lwm2m-bootstrap-options-03 document. Please respond by August 10, 2017 whether you support adoption of this work or not.

This was presented at IETF-99 and discussed with our Area Director (Suresh) as acceptable work for the DHC WG to adopt given there is no other working group appropriate for this work.

For the presentation at IETF-99, see https://www.ietf.org/proceedings/99/slides/slides-99-dhc-dhcpv6dhcp-options-for-lwm2m-bootstrap-information-00.pdf.

Thanks much!

  *   Tomek & Bernie

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Fri, 28 Jul 2017 20:09:31 +0000

Hi:

<WG Chair Hat Off>

I support adopting this document.

Some nits:

In section 3.2 and 3.4, the option-len field is described incorrectly:

        option-len:  Length of the 'LWM2M-server-certificate' field in octets

It should be “1 + length of the 'LWM2M-server-certificate' field in octets” (to account for the cert-encoding octet).

And, also in 3.4:

   LWM2M-server-certificate:  Digital certificate of LWM2M server

      encoded accoring to cert-encodeing.  See Section 4<https://tools.ietf.org/html/draft-nalluri-dhc-dhcpv6-lwm2m-bootstrap-options-03#section-4> for details

According and encoding are mistyped.

I think the table added in the 03 version in section 4 has a column heading missing to indicate what unspecified/deprecated means? And, not sure why those numbers with document references weren’t included? Also, it isn’t clear why some entries were eliminated? I would either suggest removing the table completely, or reproducing it as it is fully (I understand the reserved values (0 and 5) were removed, but it causes someone to wonder why they aren’t there). Ah … I see that the table was copied from RFC 7296 and not from IANA’s pages. I still think the IANA pages would be better or not to reproduce the table?

-          Bernie

From: dhcwg [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Thursday, July 27, 2017 1:43 PM
To: [email-masked]
Subject: [dhcwg] Call for Adoption - draft-nalluri-dhc-dhcpv6-lwm2m-bootstrap-options - Respond by Aug 10, 2017

Hi:

Thanks much!

-          Tomek & Bernie

---

From: Francis Dupont <[email-masked]>
Date: Sat, 29 Jul 2017 13:56:39 +0200

in favor

[email-masked]